@import "../../scss/variables.scss";

@mixin file-upload-styles($file-upload-palette) {
  $primary-color: map-get(
    $map: $file-upload-palette,
    $key: "primary-color",
  );

  .noku-library-file-upload {
    &.file-upload {
      background-color: rgba($color: $primary-color, $alpha: 0.025);
      background-repeat: no-repeat;
      background-position: center;
      padding: 25px 15px;
      cursor: pointer;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      border: 1px solid rgba($color: $primary-color, $alpha: 0.2);
      border-radius: 4px;
      position: relative;
      z-index: 0;
      transition: border-color 0.15s ease-in-out;
      outline: none;

      img {
        position: absolute;
        z-index: -1;
        // top: calc(50% - 20px);
        // left: calc(50% - 25px);
      }

      &.disabled {
        pointer-events: none;
      }
    }

    &.file-upload.dropping,
    &.file-upload.rejecting,
    &.file-upload.error {
      padding-top: 24px;
      padding-bottom: 24px;
    }

    &.file-upload.rejecting,
    &.file-upload.error {
      border: 2px solid $error400;
    }

    .avatar {
      background-color: transparent;
      width: 48px;
      height: 48px;
      margin-bottom: 16px;

      img {
        height: 100%;
      }
    }

    .title {
      font-weight: 700;
      font-size: 15px;
      line-height: 18px;
      text-align: center;
      letter-spacing: 0.25px;
    }
    .subtitle {
      font-weight: 300;
      font-size: 15px;
      line-height: 18px;
      text-align: center;
      letter-spacing: 0.25px;
      margin-bottom: 32px;
    }

    .button {
      .icon {
        margin-right: 8px;
      }
    }

    .file-name {
      font-weight: 400;
      font-size: 12px;
      line-height: 18px;
      text-align: center;
      letter-spacing: 0.25px;
      margin-bottom: 16px;
      color: $grey500;
    }
  }
}
